%define name	glpi
%define version	0.84.3
%define major_version	0.84
%define release %mkrel 1
%define subrel 3
%define _requires_exceptions pear(domxml-php4-to-php5.php)

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    A web based park management
License:    GPLv2
Group:      Monitoring
Url:        http://www.glpi-project.org/
Source0:    http://forge.indepnet.net/attachments/download/656/%{name}-%{version}.tar.gz
Source1:    http://forge.indepnet.net/attachments/download/1152/glpidoc-%{major_version}-fr.pdf
Patch0:     CVE-2014-9258.patch
Patch1:     CVE-2014-5032.patch
Patch2:     CVE-2014-8360.1.patch
Patch3:     CVE-2014-8360.2.patch
Patch4:     glpi-0.84-bug5218.patch
Requires:   apache-mod_php
Requires:   php-xml
Requires:   php-mysqli
Requires:   php-mbstring
BuildArch:  noarch

%description
GLPI is web based database application allowing to managed computers
and peripherals park. Its goal is to help technicians about maintenance
expiration, stock flow and license counting.

%prep
%setup -q -n %name
install -m 644 %{SOURCE1} glpidoc-0.80.1.pdf
%patch0 -p 2
cd inc
%patch1 -p 0
%patch2 -p 0
%patch3 -p 0
%patch4 -p 2

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_datadir}/%{name}

install -m 644 *.php *.js %{buildroot}%{_datadir}/%{name}

for i in ajax css front inc install lib locales pics plugins scripts; do
    cp -ar $i %{buildroot}%{_datadir}/%{name}
done

install -d -m 755 %{buildroot}%{_sysconfdir}/glpi
install -m 644 config/*.php %{buildroot}%{_sysconfdir}/glpi
pushd %{buildroot}%{_datadir}/%{name}
ln -sf ../../..%{_sysconfdir}/glpi config
popd

install -m 644 COPYING.txt %{buildroot}%{_datadir}/%{name}

find %{buildroot}%{_datadir}/%{name} -name .htaccess | xargs rm -f

cat > %{buildroot}%{_sysconfdir}/glpi/config_path.php <<EOF
<?php
// for packaging defaults

define("GLPI_CONFIG_DIR",     "%{_sysconfdir}/glpi");

define("GLPI_DOC_DIR",        "%{_localstatedir}/lib/%{name}");
define("GLPI_CACHE_DIR",      "%{_localstatedir}/lib/%{name}/_cache/");
define("GLPI_CRON_DIR",       "%{_localstatedir}/lib/%{name}/_cron");
define("GLPI_DUMP_DIR",       "%{_localstatedir}/lib/%{name}/_dumps");
define("GLPI_GRAPH_DIR",      "%{_localstatedir}/lib/%{name}/_graphs");
define("GLPI_LOCK_DIR",       "%{_localstatedir}/lib/%{name}/_lock/");
define("GLPI_PLUGIN_DOC_DIR", "%{_localstatedir}/lib/%{name}/_plugins");
define("GLPI_RSS_DIR",        "%{_localstatedir}/lib/%{name}/_rss");
define("GLPI_SESSION_DIR",    "%{_localstatedir}/lib/%{name}/_sessions");
define("GLPI_TMP_DIR",        "%{_localstatedir}/lib/%{name}/_tmp");
define("GLPI_UPLOAD_DIR",     "%{_localstatedir}/lib/%{name}/_uploads");

define("GLPI_LOG_DIR",        "%{_localstatedir}/log/%{name}");
?>
EOF

install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    Require all granted
    Options -FollowSymLinks
    # recommanded value
    php_value memory_limit 64M
</Directory>

<Directory %{_datadir}/%{name}/install>
    # 15" should be enough for migration in most case
    php_value max_execution_time 900
    php_value memory_limit 128M
</Directory>

<Directory %{_datadir}/%{name}/files>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/inc>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/locales>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/mysql>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/scripts>
    Require all denied
</Directory>
EOF

install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_cache
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_cron
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_dumps
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_graphs
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_lock
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_plugins
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_rss
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_sessions
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_tmp
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_uploads

install -d -m 755 %{buildroot}%{_localstatedir}/log/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name} <<EOF
/var/log/glpi/*.log {
    notifempty
    missingok
    create 644 apache apache
}
EOF

install -d -m 755 %{buildroot}%{_sysconfdir}/cron.d
cat > %{buildroot}%{_sysconfdir}/cron.d/%{name} <<EOF
# Run cron from to execute task even when no user connected
*/4 * * * * apache %{_bindir}/php %{_datadir}/%{name}/front/cron.php
EOF


%files
%doc CHANGELOG.txt README.txt COPYING.txt LISEZMOI.txt
%doc glpidoc-0.80.1.pdf
%{_datadir}/%name
%config(noreplace) %{_webappconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%dir %attr(-,apache,apache) %{_sysconfdir}/glpi
%config(noreplace) %{_sysconfdir}/glpi/*
%attr(-,apache,apache) %{_localstatedir}/lib/%{name}
%attr(-,apache,apache) %{_localstatedir}/log/%{name}


%changelog
* Mon May 11 2015 neoclust <neoclust> 0.84.3-1.3.mga4
+ Revision: 821719
- Add P4 to fix a security issue ( MGA # 15608)

  + guillomovitch <guillomovitch>
    - fix CVE-2014-8360 (upstream patch)
    - fix CVE-2014-5032 (upstream patch)
    - fix CVE-2014-9258 (fedora patch)

* Mon Nov 04 2013 guillomovitch <guillomovitch> 0.84.3-1.mga4
+ Revision: 549431
- new version

* Sat Oct 19 2013 umeabot <umeabot> 0.84.2-2.mga4
+ Revision: 534579
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 guillomovitch <guillomovitch> 0.84.2-1.mga4
+ Revision: 478466
- new version 0.84.2

* Mon Aug 19 2013 guillomovitch <guillomovitch> 0.84-1.mga4
+ Revision: 467845
- new version

* Wed Jul 03 2013 guillomovitch <guillomovitch> 0.83.9.1-1.mga4
+ Revision: 449952
- new version

* Fri Jun 21 2013 guillomovitch <guillomovitch> 0.83.9-1.mga4
+ Revision: 445409
- new version

* Tue Apr 02 2013 guillomovitch <guillomovitch> 0.83.8-1.mga3
+ Revision: 407341
- new version

* Sat Jan 12 2013 umeabot <umeabot> 0.83.7-2.mga3
+ Revision: 351828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 guillomovitch <guillomovitch> 0.83.7-1.mga3
+ Revision: 326880
- new version

* Wed Oct 17 2012 fwang <fwang> 0.83.6-1.mga3
+ Revision: 307432
- new version 0.83.6

* Sat Aug 25 2012 guillomovitch <guillomovitch> 0.83.4-2.mga3
+ Revision: 283964
- ship correct manual version
- fix license not displayed during install (#7157)
- fix missing php-mbstring dependency (#7157)
- fix webapp configuration file location
- make webapp configuration file compliant with apache 2.4

* Sat Aug 04 2012 guillomovitch <guillomovitch> 0.83.4-1.mga3
+ Revision: 278473
- new version

* Fri Feb 10 2012 guillomovitch <guillomovitch> 0.80.7-2.mga2
+ Revision: 206827
- ooops, use correct sources

* Fri Feb 10 2012 guillomovitch <guillomovitch> 0.80.7-1.mga2
+ Revision: 206820
- new version

* Mon Jan 09 2012 guillomovitch <guillomovitch> 0.80.6.1-1.mga2
+ Revision: 193883
- new version

* Mon Oct 31 2011 guillomovitch <guillomovitch> 0.80.5-1.mga2
+ Revision: 160534
- new version

* Wed Sep 28 2011 guillomovitch <guillomovitch> 0.80.4-1.mga2
+ Revision: 149978
- new version
- ship documentation
- small spec cleanup
- new version

* Wed Jun 29 2011 fwang <fwang> 0.80.1-1.mga2
+ Revision: 115585
- new version 0.80.1

* Tue Apr 05 2011 misc <misc> 0.78.2-2.mga1
+ Revision: 80776
- fix incorrect requires on mod_php

* Sun Mar 06 2011 ennael <ennael> 0.78.2-1.mga1
+ Revision: 65499
- clean spec file
- imported package glpi


* Sun Jan 23 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.78.2-1mdv2011.0
+ Revision: 632442
- new version

* Mon Nov 15 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.78.1-1mdv2011.0
+ Revision: 597762
- new version

* Tue Oct 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.78-1mdv2011.0
+ Revision: 585228
- 0.78 final

* Sat Jul 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.78-0.RC2.1mdv2011.0
+ Revision: 554588
- new version

* Wed Mar 03 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.72.4-1mdv2010.1
+ Revision: 513763
- New version
- fix License

* Tue Feb 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.72.3-4mdv2010.1
+ Revision: 510449
- don't ship .htaccess files

* Tue Feb 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.72.3-3mdv2010.1
+ Revision: 510433
- rely on filetrigger for reloading apache configuration begining with 2010.1,
  rpm-helper macros otherwise
- install everything directly under %%{_datadir}/%%{name}, and use apache
  configuration to restrict accesses

* Fri Nov 20 2009 Anne Nicolas <ennael@mandriva.org> 0.72.3-2mdv2010.1
+ Revision: 467625
- Fix #52614 in cooker

* Thu Nov 12 2009 Anne Nicolas <ennael@mandriva.org> 0.72.3-1mdv2010.1
+ Revision: 465413
- new version

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

* Thu Jun 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.71.6-4mdv2010.0
+ Revision: 389132
- add missing directory under GLPI_DOC_DIR (Remi Collet)

* Sun Jun 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.71.6-3mdv2010.0
+ Revision: 387919
- FHS setup, following upstream advices
  (https://dev.indepnet.net/glpi/wiki/GlpiPackaging)

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.71.6-2mdv2010.0
+ Revision: 383461
- fix dependencies

* Fri Jun 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.71.6-1mdv2010.0
+ Revision: 383021
- new version
- don't duplicate spec-helper job
- fix build dependencies

* Wed Jan 28 2009 Jérôme Soyer <saispo@mandriva.org> 0.71.5-1mdv2009.1
+ Revision: 334794
- New upstream release

* Sun Jan 04 2009 Olivier Thauvin <nanardon@mandriva.org> 0.71.3-1mdv2009.1
+ Revision: 324879
- 0.71.3

* Thu Nov 13 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.71.2-1mdv2009.1
+ Revision: 302671
- New version 0.71.2

* Tue Sep 09 2008 Olivier Thauvin <nanardon@mandriva.org> 0.71.1-1mdv2009.0
+ Revision: 283114
- 0.71.1

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.70-3mdv2009.0
+ Revision: 246211
- rebuild

* Fri Jan 04 2008 Jérôme Soyer <saispo@mandriva.org> 0.70-1mdv2008.1
+ Revision: 145053
- New release

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.68.3-1mdv2008.1
+ Revision: 136445
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Jan 22 2007 Olivier Thauvin <nanardon@mandriva.org> 0.68.3-1mdv2007.0
+ Revision: 111720
- 0.68.3

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 0.65-3mdv2007.0
+ Revision: 54175
- rebuild
- Import glpi

* Wed Apr 26 2006 Anne Nicolas <anne.nicolas@mandriva.com> 0.65-2mdk
- move .htaccess content in apache configuration file
- skip away annoying ^M

* Wed Apr 26 2006 Anne Nicolas <anne.nicolas@mandriva.com> 0.65-1mdk
- new version

* Wed Nov 23 2005 Olivier Thauvin <nanardon@mandriva.org> 0.6-1mdk
- Initial mandriva spec

